MODULE QADOCK

USE PARKIND1  ,ONLY : JPIM     ,JPRB

USE PARDIMO

USE QAPREX

IMPLICIT NONE

SAVE

!****-------------------------------------------------------------------
!****   QADOCK : DONNEES POUR LA RECHERCHE DES OBSERVATIONS
!****   ------   DANS LE CADRE DE L'ANALYSE EN GENERAL.
!****             (CONTRACTION DE "CAPITAINE HADDOCK" OU BIEN
!****              DE DONNEES POUR CKANEVA, AU CHOIX.)
!****  AUTEURS : JH 04/90, PB 12/90, CB 02/91, VC 06/93, VC 08/94, WS 03/99
!****-------------------------------------------------------------------
!*** PARAMETRES D'INITIALISATION AVANT APPEL A CANEVA A PARTIR DE CARTOI
!*** TABLEAUX DE CONTRAINTES GEOGRAPHIQUES ET STATISTIQUES.
!*** ------------------------------------------------------
!**  NMXGBA : NBRE MAX OBS POUR L'EXTRACTION PRIMAIRE (BOITE + BOITES VOIS)
!**  NMXGQA : NBRE MAX D'OBS PAR SECTEUR (CELA PEUT IMPOSER UNE SELECTION)
!**  QDSTRA : DISTANCE MAX DE SELECTION DU NUAGE DE PTS (EN M)
!**  QDSTVA : DISTANCE MAX DE SELECTION EN PRESSION (EN PA)
!**  MINMA  : NBRE DE PREDICTEURS PAR PREDICTAND
!****-------------------------------------------------------------------
INTEGER(KIND=JPIM) :: NMXGBA(JPNOTP)
INTEGER(KIND=JPIM) :: NMXGQA(JPNOTP)
REAL(KIND=JPRB) :: QDSTRA(JPNOTP)
REAL(KIND=JPRB) :: QDSTVA(JPNOTP)
INTEGER(KIND=JPIM) :: MINMA(JPANAL)
REAL(KIND=JPRB) :: QCORMIN(JPANAL)
REAL(KIND=JPRB) :: QDELPI(JPANAL)
!****-------------------------------------------------------------------
END MODULE QADOCK
